QuantLib: LossDist Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.20

Public Member Functions | Static Public Member Functions | List of all members
LossDist Class Referenceabstract

Probability formulas and algorithms. More...

`#include <ql/experimental/credit/lossdistribution.hpp>`

Inheritance diagram for LossDist:
[legend]

## Public Member Functions
virtual Distribution | operator() (const std::vector< Real > &volumes, const std::vector< Real > &probabilities) const =0
virtual Size | buckets () const =0
virtual Real | maximum () const =0

## Static Public Member Functions
static Real | binomialProbabilityOfNEvents (int n, std::vector< Real > &p)
static Real | binomialProbabilityOfAtLeastNEvents (int n, std::vector< Real > &p)
static std::vector< Real > | probabilityOfNEvents (std::vector< Real > &p)
static Real | probabilityOfNEvents (int n, std::vector< Real > &p)
static Real | probabilityOfAtLeastNEvents (int n, std::vector< Real > &p)

## Detailed Description

Probability formulas and algorithms.

## Member Function Documentation

## ◆ binomialProbabilityOfNEvents()

static Real binomialProbabilityOfNEvents | ( | int | n,
|  | std::vector< Real > & | p
| ) |  |
| static

Binomial probability of n defaults using prob[0]

## ◆ binomialProbabilityOfAtLeastNEvents()

static Real binomialProbabilityOfAtLeastNEvents | ( | int | n,
|  | std::vector< Real > & | p
| ) |  |
| static

Binomial probability of at least n defaults using prob[0]

## ◆ probabilityOfNEvents()

static std::vector<Real> probabilityOfNEvents | ( | std::vector< Real > & | p | ) |
| static

Probability of exactly n default events Xiaofong Ma, "Numerical Methods for the Valuation of Synthetic Collateralized Debt Obligations", PhD Thesis, Graduate Department of Computer Science, University of Toronto, 2007
http://www.cs.toronto.edu/pub/reports/na/ma-07-phd.pdf (formula 2.1)

## ◆ probabilityOfAtLeastNEvents()

static Real probabilityOfAtLeastNEvents | ( | int | n,
|  | std::vector< Real > & | p
| ) |  |
| static

Probability of at least n defaults